> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/muistiinpanot-pinnit/36.-mutaatio-lisaa-useita-kommentteja-valittuihin-muistiinpanoihin.md).

# 36. Mutaatio: Lisää useita "kommentteja" valittuihin "muistiinpanoihin"

Tämä mutaatio antaa sinun lisätä useita kommentteja valittuun muistiinpanoon.

{% hint style="success" %}
Tallennettavien kommenttien enimmäismäärä on 25.
{% endhint %}

* Kommentti voidaan linkittää lohkoon sen ainutlaatuisen tunnisteen kautta `fieldUuid` ja muistiinpanoon kautta `noteUuid`.
* Kommentin sisältö voidaan antaa käyttämällä `teksti` attribuuttia. Jos sisältö tarvitsee useita rivejä, `teksti` attribuutin tulisi sisältää merkkijono, jossa on rivinvaihtomerkit `\\n` erottamaan rivit. Esimerkiksi: `"Ensimmäinen rivi on tässä\\nToinen rivi on tässä.\\nKolmas rivi on tässä."`.
* On mahdollista asettaa kommenttiin liitetty määritelty päivämäärä/aika käyttämällä `luontipäivä` attribuuttia ISO8601-muodossa.

Esimerkkipyyntö löytyy alta:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
muutosta BatchAddNoteComments {
  addNoteComments(input:{
    kommentit: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        teksti: "Neljäs kommentti useista.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        teksti: "Viides kommentti useista.\\nKommentin toinen rivi.",
        luontiPvm: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    luontipäivä
    updatedDate
    teksti
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/muistiinpanot-pinnit/36.-mutaatio-lisaa-useita-kommentteja-valittuihin-muistiinpanoihin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
